/***************************************************************************
===============================================												
RTD_PieceWise.h HEADER FILE REV 1.0												
===============================================												
***************************************************************************/

// Bit Definitions
#define BIT0  0x01
#define BIT1  0x02
#define BIT2  0x04
#define BIT3  0x08
#define BIT4  0x10
#define BIT5  0x20
#define BIT6  0x40
#define BIT7  0x80
#define BIT8  0x100
#define BIT9  0x200
#define BIT10 0x400
#define BIT11 0x800
#define BIT12 0x1000
#define BIT13 0x2000
#define BIT14 0x4000
#define BIT15 0x8000
#define BIT16 0x10000
#define BIT21 0x200000
#define BIT22 0x400000
#define BIT24 0x1000000
#define BIT29 0x20000000
#define BIT30 0x40000000

#define DEFAULTSCALE0 175.625
#define DEFAULTOFFSET0 0.0

float Trtd = 0.0;   				// temperature of RTD
float Rrtd = 0.0;				// Resistance of RTD
float fADC0norm = 0.0;
float fADC0cal = 0.0;
float fscale0 = 175;
float foffset0 = 0.0;
float fRprevcal;

// Application specifc Flags
unsigned char newADCdata;                       // 1 means new ADC data available
unsigned char bSerialIn = 0;                    // Set to 1 if data received by the UART
unsigned char ucFahrenheit = 0;                 // Select fahrenheit or celcius scale
unsigned char ucMenuFlag = 0;                   // Set by toggling XIRQ0 - will call main menu screen again

unsigned char szIn[8];
// resistance at previous cal point

volatile unsigned char bSendResultToUART = 0;	// Flag used to indicate ADC0 resutl ready to send to UART	
unsigned char szTemp[64] = "";			// Used to store ADC0 result before printing to UART
unsigned char ucTxBufferEmpty  = 0;		// Used to indicate that the UART Tx buffer is empty
volatile unsigned long ulADC0Result = 0;	// Variable that ADC0DAT is read into in ADC0 IRQ
volatile unsigned char ucUserEntry = 0;         // Character received from User interface
